---
version: '3'

networks:
  traefik_network:
    external:
      name: homelabos_traefik

services:
 # IRC Bouncer
  thelounge:
    image: linuxserver/thelounge
    restart: unless-stopped
    volumes:
      - "{{ volumes_root }}/thelounge:/config"
    environment:
      - PUID={{ uid_output.stdout }}
      - PGID={{ gid_output.stdout }}
    networks:
      - traefik_network
    labels:
      - "traefik.enable=true"
      - "traefik.docker.network=homelabos_traefik"
      - "traefik.http.services.thelounge.loadbalancer.server.scheme=http"
      - "traefik.http.services.thelounge.loadbalancer.server.port=9000"
      - "traefik.http.routers.thelounge-http.rule=Host(`thelounge.{{ domain }}`)"
      - "traefik.http.routers.thelounge-http.entrypoints=http"
      - "traefik.http.routers.thelounge-http.middlewares={% if thelounge.https_only %}redirect@file, {% else %}{% if thelounge.auth %}{% if enable_authelia %}authelia@file{% else %}basicAuth@file{% endif %}, {% endif %}{% endif %}customFrameHomelab@file"
      - "traefik.http.routers.thelounge.rule=Host(`thelounge.{{ domain }}`)"
      - "traefik.http.routers.thelounge.entrypoints=https"
      - "traefik.http.routers.thelounge.middlewares={% if thelounge.auth %}{% if enable_authelia %}authelia@file{% else %}basicAuth@file{% endif %}, {% endif %}customFrameHomelab@file"
      - "traefik.http.routers.thelounge.tls=true"
{% if traefik.dns_challenge_provider %}
      - "traefik.http.routers.thelounge.tls.certresolver=dns"
      - "traefik.http.routers.thelounge.tls.domains[0].main={{ domain }}"
      - "traefik.http.routers.thelounge.tls.domains[0].sans=*.{{ domain }}"
{% else %}
      - "traefik.http.routers.thelounge.tls.certresolver=http"
{% endif %}
{% if enable_tor %}
      - "traefik.http.routers.thelounge-tor-http.rule=Host(`thelounge.{{ tor_domain }}`)"
      - "traefik.http.routers.thelounge-tor-http.entrypoints=http"
      - "traefik.http.routers.thelounge-tor-http.middlewares={% if thelounge.auth %}{% if enable_authelia %}authelia-tor@file{% else %}basicAuth@file{% endif %}, {% endif %}customFrameHomelab-tor@file"
{% endif %}
